Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 26 reacties
Bron: phpBB

Onder de codenaam Olympus hebben de ontwikkelaars van phpBB vandaag de eerste bŔtaversie van de 3.0-serie uitgebracht, en daarmee is ook de start gemaakt aan de ontwikkeling van de nieuwe tak van de forumsoftware. phpBB is een gratis te gebruiken forum dat onder de GPL-licentie beschikbaar wordt gesteld. De forumsoftware is een van de meest gebruikte open-sourceforums en maakt gebruik van PHP en een databaseprogramma om berichten op te slaan, te bewaren en op te halen. Naast MySQL worden ook PostgreSQL, Microsoft SQL Server 2000 en Microsoft Access als databasesoftware ondersteund. De nieuwe 3.0-tak kent een aantal verbeteringen ten opzichte van de huidige stabiele 2.0-reeks, waaronder een verbeterde admin, zoekmogelijkheden en een groot aantal andere onder handen genomen en nieuwe features. Een compleet overzicht van de belangrijkste nieuwe features kan op deze pagina gevonden worden. phpBB 3.0 beta 1 wordt als volgt ge´ntroduceerd:

Welcome to our first public beta of the next-generation of phpBB after 2.0.x, phpBB 3.0! This beta release is intended for advanced users to try out on dedicated development enviroments to help us finish creating the best Opensource Bulletin Board solution available.[break]
De nieuwe Admin Control Panel van phpBB 3.0
De nieuwe Admin Control Panel van phpBB 3.0
Moderatie-faq Wijzig weergave

Reacties (26)

De lijst van databases die Robin noemt klopt niet. MS Access wordt b.v. niet (meer) ondersteund, SQLite b.v. wel. Dit is de volledige lijst:

MySQL 3.23+/4.0+/4.1+/5.0+
PostgreSQL 7.3+
SQLite
Firebird 1.5+/Interbase 7.1+
Oracle
MSSQL 2000+

Overigens wordt er ook geen begin gemaakt aan de ontwikkeling van 3.0, die ontwikkeling is al (enorm) lang bezig :) Veel te lang eigenlijk maar dat is een ander verhaal. Met een beetje geluk kan er nu redelijk snel naar een release toegewerkt worden. Versie 2.x is nogal gedateerd inmiddels :)
Versie 2.x is nogal gedateerd inmiddels
Zeg wel, om maar te zwijgen van de bron code :X Ik heb de beta juist even lokaal ge´nstalleerd, werkt heel goed. De feature set is heel uitgebreid en het admin gedeelte is flink uitgebreid. Zullen we nooit meer tig mods/hacks moeten installeren om toch een redelijk forum board te hebben :) De broncode ziet er ook goed uit, ze maken bijna uitsluitend gebruik van classes (lees: OO). De reden van de lange ontwikkeling moet je eerder zoeken bij het feit dat phpBB door vrijwilligers ontworpen wordt.
Is MSSQL 2000+, niet gewoon Access ? Het lijkt me inprincipe dat MS voor Microsoft staat en aangezien je in Access databases ook gewoon van SQL gebruik kunt maken :P Verder heb je ook nog een product wat Access 2000 heet :D
Nee, MSSQL is een databaseSERVER, MS Access is een databaseFILE.
Features that did not exist in 2.0.x and were implemented for Olympus. This list is not complete, but only highlights the most important feature additions.

Weet iemand toevallig of deze versie ook paid subscribtions support ondersteund (paypal api, etc)? vBulletin heeft zoiets namelijk en dat is de grootste reden waarom ik het momenteel gebruik.
Als je bedoeld dat jij ervoor moet betalen, phpBB is volledig gratis.

Als je gebruikers van je forum ervoor wil laten betalen (zoals Something Awful doet), zul je een mod nodig hebben.
Ik denk dat je dan het beste de site van phpBB in de gaten kan houden.

Overigens is het implementeren van zoiets niet zo lastig.
Nee, wordt niet ondersteund.
hopelijk dat ze nu iets doen om de spam tegen te gaan.

dat is (naast het hacken van phpbb) het grootste probleem op het moment imho.
Verplichte registratie als je wil posten en de Visual Confirmation mod (die juist uit phpBB3 komt) weren zo'n beetje alle mogelijke vormen van (automatische) botspamming. Spamming door aparte users zal nooit stoppen, maar is nauwelijks de moeite waard en simpel op te lossen.

Je kan zelf ook open proxies bannen (bestaat ook een mod voor), net als die e-mail addressen die maar 24 uur geldig zijn. Als deze dingen samen elimineren volgens 99.5% van alle mogelijke spam.
De huidige Visual Confirmation (standaard functionaliteit momenteel, geen aparte mod) is al gekraakt, met een redelijk hoog slagingspercentage weten spammers dit te OCR'en.
Verder zijn de spam-opruimingsmogelijkheden in de huidige phpBB ver onder de maat, zoals een proces door 5 verschillende schermen per user die je wilt wissen.

Ik ben benieuwd hoe het met versie 3 zal gaan...
Kun je zonder meer van 2.0 naar 3.0 upgraden met een bestaand forum?
Weet iemand of zo'n beta stabiliteits problemen geeft waardoor ik het niet in een productieforum kan gebruiken?
http://www.phpbb.com/phpBB/viewtopic.php?f=14&t=400283

Hier kan je volgens mij een antwoord op je vragen vinden.
Het wordt dus zeker afgeraden om deze beta in productie te gebruiken.
Dankje,

Het word dus nog even wachten tot de RC, vannaf de RC word het upgraden ondersteund.

Kan niet wachten want ondanks ik nog maar een paar maanden een forum heb merk ik toch wel heel duidelijk de beperkingen, vooral omdat ik niet te veel mods over elkaar heen wil installeren.
Jabber/xmpp support for notifications, heerlijk, hier heb ik op zitten wachten. Eindelijk iets wat het Jabber protocol wat meer bekendheid geeft, en dat had het nodig.
Het jabber protcool word al veelvuldig gebruikt, door Google... googleTalk draait op jabber
mjah hier zijn ze al erg lang mee bezig. al een hele tijd zijn er cvs builds beschikbaar van dit. Fijn om eindelijk wat progressie te zien...
progressie is er genoeg denk ik hoor, ik denk dat ze willen voorkomen dat er gelijk na introductie een tig aantal updates moet uitkomen vanwegen veiligheidsfouten
Leuk product, alleen weer zo'n erg uitgebreid rechten-beheer-paneel, waar ik toch even goed wijs uit moet worden, en al snel als ik bij het eerste tabblad wat ik zie in de Adin, Manage User doe, dan knalt Apache2 er meteen uit..

Ach, beta's he ;)
Apache die eruit knalt door een PHP script :S:S

lijkt me niet echt een fout van phpbb, maar eerder de PHP implementatie, of apache zelf.
Ik dacht dat de 3.x-serie support voor scripting in de templates zou krijgen (zoals React dat bijv. kan) zodat sourcehacking niet meer nodig zou zijn en upgraden makkelijker wordt. Ik zie hier alleen niets van terug in de featurepagina?
Dit is wel mogelijk (iig in Beta1, blijft als het goed is ook een feature) maar is op het moment nog wat verstopt. Scripting in de templates wordt over het algemeen afgeraden.
hier heb ik lang op gewacht, eindelijk nieuwe functies waardoor de boards kunnen concurreren met vbulletin/ipb :P
:+ Hier heb ik echt een tijdje op zitten wachten.. was gister avond laat wel een van de eerste die het wist. :)

Acid heeft echt veel gebruikers op het verkeerd been gezet door die cvs commit van hem ;)..

kan nu eindelijk beginnen met modden.. voor de volgende versie van mijn forum en site..

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True